PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

PIEvaluator Member List

This is the complete list of members for PIEvaluator, including all inherited members.

check(const PIString &string) | PIEvaluator |
clearCustomVariables() | PIEvaluator | inline
data() | PIEvaluator | inline
error() const | PIEvaluator | inline
evaluate() | PIEvaluator |
expression() const | PIEvaluator | inline
isCorrect() const | PIEvaluator | inline
lastResult() const | PIEvaluator | inline
PIEvaluator() | PIEvaluator | inline
removeVariable(const PIString &name) | PIEvaluator | inline
setData(void *_data) | PIEvaluator | inline
setVariable(const PIString &name, complexd value=0.) | PIEvaluator | inline
setVariable(int index, complexd value=0.) | PIEvaluator | inline
unknownVariables() const | PIEvaluator | inline
variableIndex(const PIString &name) const | PIEvaluator | inline